summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDiab Neiroukh2020-04-27 18:22:54 +0100
committerDiab Neiroukh2020-04-27 18:22:54 +0100
commit2b92b48864f9d51cc427811b83082b2efcb7d8f8 (patch)
tree690bbeab1d2c8a6673d43f524db59f6c523313ff
parent9fbb3b005a2d812ff7c82802c40ec68bb390f8a5 (diff)
downloadaur-2b92b48864f9d51cc427811b83082b2efcb7d8f8.tar.gz
👌 IMPROVE: Use a zip from GitHub instead of cloning
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD14
2 files changed, 9 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3c73bf682ea..17a610533a3 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = linux-zest-git
pkgver = 5.6
- pkgrel = 2
+ pkgrel = 3
url = https://github.com/ZestProjects/linux
arch = i686
arch = x86_64
@@ -17,7 +17,7 @@ pkgbase = linux-zest-git
makedepends = python-sphinx_rtd_theme
makedepends = xmlto
options = !strip
- source = git+https://github.com/ZestProjects/linux.git
+ source = https://github.com/ZestProjects/linux/archive/fivesix.zip
b2sums = SKIP
pkgname = linux-zest-git
diff --git a/PKGBUILD b/PKGBUILD
index ce455f3aa82..8017e0ebdf1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@ pkgname=(
"linux-zest-git-headers"
)
pkgver=5.6
-pkgrel=2
+pkgrel=3
arch=(
"i686"
"x86_64"
@@ -34,7 +34,7 @@ options=(
"!strip"
)
source=(
- "git+$url.git"
+ "https://github.com/ZestProjects/linux/archive/fivesix.zip"
)
b2sums=(
"SKIP"
@@ -44,7 +44,7 @@ prepare()
{
export PATH="/opt/proton-clang/bin:$PATH"
- cd "linux" || exit
+ cd "linux-fivesix" || exit
git checkout "fivesix"
@@ -59,7 +59,7 @@ build()
{
export PATH="/opt/proton-clang/bin:$PATH"
- cd "linux" || exit
+ cd "linux-fivesix" || exit
make CC=clang LD=ld.lld NM=llvm-nm OBJCOPY=llvm-objcopy HOSTCC=clang HOSTLD=ld.lld all
make CC=clang LD=ld.lld NM=llvm-nm OBJCOPY=llvm-objcopy HOSTCC=clang HOSTLD=ld.lld htmldocs
@@ -85,7 +85,7 @@ _package()
export PATH="/opt/proton-clang/bin:$PATH"
- cd "linux" || exit
+ cd "linux-fivesix" || exit
local kernver="$(<version)"
local modulesdir="$pkgdir/usr/lib/modules/$kernver"
@@ -111,7 +111,7 @@ _package-headers()
"linux-zest-headers"
)
- cd "linux" || exit
+ cd "linux-fivesix" || exit
local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
@@ -191,7 +191,7 @@ _package-docs()
"linux-zest-docs"
)
- cd "linux" || exit
+ cd "linux-fivesix" || exit
local builddir="$pkgdir/usr/lib/modules/$(<version)/build"